#include <iostream>
using namespace std;
int main()
{
    int n, k,a,b=0;
    cin>>n>>k;
    int x[2*n+1];
    for(int i=0;i<2*n+1;i++)
    {
        x[i]=0;
    }
    for(int i=0;i<n;i++)
    {
        cin>>a;

        x[a+n]++;
    }
    for(int i=0;i<2*n+1;i++)
    {
        if(x[i]>=k)
        {
            b++;
        }

    }
    cout<<b<<endl;
    for(int i=0;i<2*n+1;i++)
    {
        if(x[i]>=k)
            cout<<i-n<<" ";
    }

}